# $Revision: 1.24 $, $Date: 2007-02-12 21:23:50 $
Summary:	Non-interactive CD Player
Summary(pl.UTF-8):	Nieinteraktywny odtwarzacz CD
Name:		cdplayer
Version:	20020811
Release:	5
Epoch:		2
License:	GPL
Group:		Applications/Sound
Source0:	http://www.mat.uni.torun.pl/~witek/%{name}-%{version}.tar.bz2
# Source0-md5:	9efc9a2f9005a8eb7accbcc861322b44
Patch0:		cdplayer-minus.patch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
ExclusiveOS:	Linux

%description
cdplayer is simple, non-interactive CD Player for Linux with "Random
Play" and "Loop Play" options.

%description -l pl.UTF-8
cdplayer to prosty, nieinteraktywny odtwarzacz płyt kompaktowych z
opcją losowego odgrywania ścieżek lub odrywania całej płyty w kółko.

%prep
%setup -q
%patch0 -p1

%build
%{__cc} %{rpmcflags} %{rpmldflags} -o cdplayer cdplayer.c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1,%{_mandir}/pl/man1} \
	$RPM_BUILD_ROOT%{_datadir}/cdplayer

install cdplayer $RPM_BUILD_ROOT%{_bindir}/cdplayer
install cdplayer.htm $RPM_BUILD_ROOT%{_datadir}/cdplayer/cdplayer.htm
install cdplayer.1 $RPM_BUILD_ROOT%{_mandir}/man1/cdplayer.1
install pl/cdplayer.1 $RPM_BUILD_ROOT%{_mandir}/pl/man1/cdplayer.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/cdplayer
%dir %{_datadir}/cdplayer
%{_datadir}/cdplayer/cdplayer.htm
%{_mandir}/man1/*
%lang(pl) %{_mandir}/pl/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: cdplayer.spec,v $
Revision 1.24  2007-02-12 21:23:50  glen
- tabs in preamble

Revision 1.23  2007/02/12 00:48:41  baggins
- converted to UTF-8

Revision 1.22  2005/04/27 15:47:50  witekfl
- added minus.patch
- rel. 5

Revision 1.21  2004/08/18 19:09:56  averne
- rel 4

Revision 1.20  2003/11/26 23:10:50  speedy
- release 3 (ac)

Revision 1.19  2003/08/06 16:42:45  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.18  2003/05/28 12:58:48  malekith
- massive attack: source-md5

Revision 1.17  2003/05/25 05:46:10  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.16  2002/09/29 08:01:50  juandon
- removed %%doc line
- rel 2

Revision 1.15  2002/09/28 19:54:19  juandon
- update

Revision 1.14  2002/06/14 23:42:13  juandon
- updated to newer version (new scheme of versioning)
- removed %%doc

Revision 1.13  2002/04/25 16:04:13  arturs
fixed a small typo

Revision 1.12  2002/02/23 01:33:39  kloczek
- adapterized.

Revision 1.11  2002/02/22 23:28:44  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.10  2002/02/03 14:15:49  juandon
- update to 0.0.94 (this version is better)
- Release 1

Revision 1.9  2002/01/31 21:21:12  kloczek
- releass 3.

Revision 1.8  2002/01/28 08:34:08  kloczek
- updated to 0.0.96.

Revision 1.7  2002/01/18 02:12:33  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.6  2002/01/16 08:06:49  juandon
- added Epoch:
- upgrade to 0.0.95 (such convention - 0.0.95 is newer)

Revision 1.5  2001/11/20 13:23:15  juandon
- cosmetics

Revision 1.4  2001/11/19 10:34:41  kloczek
- release 2.

Revision 1.3  2001/11/19 09:27:52  qboosh
- use proper optflags

Revision 1.2  2001/11/16 22:13:32  kloczek
- spec adapterized and few cosmetics.

Revision 1.1  2001/11/16 14:13:58  juandon
initial release STBR
